Subject: Re: 2.6.23-rc[68]-mm: network hangs

From: Andrew Morton <[email-masked]>
Date: Sat, 29 Sep 2007 01:31:06 -0700

On Fri, 28 Sep 2007 21:48:18 +0200 Laurent Riffard <[email-masked]> wrote:

> Hi,
> 
> >From time to time, I experience some complete network hangs:
> 
> Suddenly, all network connections become unresponsive. Even "ping
> 127.0.0.1" doesn't work. SysRq-w does not show any blocked processus.
> 
> When such hang happen, I have to reboot (shutdown does work).
> 
> This is not easily reproducible: it happens several minutes after 
> boot (could be 45 minutes or 2 hours). I do not use heavy networking 
> apps (like P2P). My typical usage is a Gnome desktop with  browser, 
> mailer, IM, video or audio streaming. 
> 
> I have a single PC connected to a DSL router via ethernet (so no LAN 
> with NFS or CIFS).
> 
> This happens with 2.6.23-rc8-mm2 and 2.6.23-rc6-mm1. I can't remember 
> when I first see this problem. Maybe 2 months ago.
> 
> I attached the output of "strace ping 127.0.0.1". How can I collect 
> some more data when this problem happens ?
> 

I have a second report of this from Uwe Bugla (who has been banished from
all vger lists for various naughtinesses).

Similar story - after a few hours his network router (which is using ppp in
some fashion) craps out and dhcp queries all time out.

I'd be suspecting a ppp bug in net-2.6.24.